import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    deviceId: "",
    serviceId: "",
    characteristicId: "",
    //游戏状态 0 不在游戏，1游戏中
    game_status: 0,
    toy_index: 0,
    toy_list: [],
    toy_hex: "",
    // 使用类型 1次数 2时间 0未选择
    mode: 0,
    //游戏记录id
    game_record_id: 0,
    //  游戏时间
    play_time: 0
  },
  mutations: {
    clearDeviceToy(state) {
      state.deviceId = ""
      state.serviceId = ""
      state.characteristicId = ""
      wx.removeStorageSync('deviceId')
      wx.removeStorageSync('serviceId')
      wx.removeStorageSync('characteristicId')
    },
    setDeviceId(state, deviceId) {
      state.deviceId = deviceId
      wx.setStorageSync('deviceId', deviceId)
    },
    setServiceId(state, serviceId) {
      state.serviceId = serviceId
      wx.setStorageSync('serviceId', serviceId)
    },
    setCid(state, characteristicId) {
      state.characteristicId = characteristicId
      wx.setStorageSync('characteristicId', characteristicId)
    },
    setGameStatus(state, status) {
      wx.setStorageSync('status', status)
      state.game_status = status
    },
    setToyList(state, toy_list) {
      wx.setStorageSync('toy_list', toy_list)
      state.toy_list = toy_list
    },
    setToyHex(state, toy_hex) {
      wx.setStorageSync('toy_hex', toy_hex)
      state.toy_hex = toy_hex
    },
    setMode(state, mode) {
      wx.setStorageSync('mode', mode)
      state.mode = mode
    },
    setGameRecordId(state, param) {
      wx.setStorageSync('game_record_id', param)
      state.game_record_id = param
    },
    setPlayTime(state, param) {
      wx.setStorageSync('play_time', param)
      state.play_time = param
    }
  },
  getters: {
    getDeviceId(state, getters) {
      return wx.getStorageSync('deviceId')
    },
    getServiceId(state, getters) {
      return wx.getStorageSync('serviceId')
    },
    getCharacterId(state, getters) {
      return wx.getStorageSync('characteristicId')
    },
    getGameStatus(state) {
      return wx.getStorageSync('game_status')
    },
    getToyList(state) {
      return wx.getStorageSync('toy_list')
    },
    getToyHex(state) {
      return wx.getStorageSync('toy_hex')
    },
    getMode(state) {
      return wx.getStorageSync('mode')
    },
    getGameRecordId(state) {
      return wx.getStorageSync('game_record_id')
    },
    getPlayTime(state) {
      return wx.getStorageSync('play_time')
    }
  },

})
